--- title: "Get recent session list" slug: "vpe-api-sessionrecent" updated: 2026-09-17T10:12:36Z published: 2026-09-17T10:12:36Z canonical: "api.ncloud-docs.com/vpe-api-sessionrecent" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get recent session list Available in Classic and VPC Get the most recent 100 sessions for a user using the player. The data interval varies depending on the time span between the start and end points of the query. | Time span between start time and end time | Interval | | --- | --- | | 1 day or less | 5-minute interval | | 2 days or more | 1-day interval | ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /v1/sessionRecent | ### Request headers For information about the headers common to all Video Player Enhancement APIs, see [Video Player Enhancement request headers](/docs/en/vpe-api-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `device` | String | Optional | Player playback environment - `PC,Mobile` (default) \| `PC` \| `Mobile` | | `videoType` | String | Optional | Playback source type - `VOD,LIVE` (default) \| `VOD` \| `LIVE` - `VOD,LIVE`: VOD video, LIVE stream - `VOD`: VOD video - `LIVE`: LIVE stream | | `startDate` | Date | Optional | Query start date and time - Date format (UTC) | | `endDate` | Date | Optional | Query end date and time - Date format (UTC) | | `limit` | Integer | Optional | Number of sessions - N-100 | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ma-dashboard-api.vpe.naverncp.com/v1/sessionRecent?device=PC,Mobile&videoType=VOD,LIVE' \ --header 'x-api-key: {API Key}' \ --header 'x-project-id: {Project id}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | Response code | | `message` | String | - | Response message | | `result` | Array | - | Session information: [result](/docs/en/vpe-api-sessionrecent#result) | #### `result` The following describes `result`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `no` | Integer | - | Number | | `logDate` | Date | - | Session creation date and time | | `uuid` | String | - | Unique user ID - UUID format | | `origin` | String | - | Calling domain | | `os` | String | - | Operating system information | | `device` | String | - | Player playback environment - `PC,Mobile` \| `PC` \| `Mobile` | | `totalStartTime` | Integer | - | Time taken until playback completion report (second) | | `rebufferingTime` | Integer | - | Buffering time (second) | | `playingTime` | Integer | - | Playback time (second) | | `isError` | Boolean | - | Error status - `true` \| `false` - `true`: Error - `false`: Not an error | | `sessionLog` | Array | - | Session log (player action cycle log): [sessionLog](/docs/en/vpe-api-sessionrecent#sessionLog) | #### `sessionLog` The following describes `sessionLog`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `logDate` | Date | - | Session creation date and time | | `uuid` | String | - | Unique user ID - UUID format | | `videoTime` | String | - | Play time | | `actionType` | String | - | Action type: Event information corresponding to Media Analytics usage - `player_start` \| `startup` \| `playing` \| `paused` \| `seeking` \| `rebuffering` \| `prev_tarck` \| `next_track` \| `ended` \| `error` - `player_start`: Player started (player ready to play after VPE authentication succeeded) - `startup`: Playback successful (user successfully played the first screen of the video after attempting to play it) - `playing`: Playback time (reports events every 60 seconds; reports immediately if another event occurs before 60 seconds) - `paused`: Stop button clicked - `seeking`: Buffering occurred when navigating videos or changing resolution - `rebuffering`: Buffering occurred due to insufficient data for the video being played (excluded for `seeking`) - `prev_tarck`: Previous video button clicked - `next_track`: Next video button clicked - `ended`: Video watched to the end (When set to repeat playback, `seeking` occurs at 0 seconds, preventing `ended` from triggering.) - `error`: Error occurred | | `actionDuration` | Integer | | Time taken to complete (second) | ### Response status codes For information about the HTTP status codes common to all Video Player Enhancement APIs, see [Common Video Player Enhancement response status codes](/docs/en/vpe-api-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 200, "message": "sessionRecent (1d)", "result": [ { "logDate": "2025-10-10 09:54:38", "no": "14611077", "uuid": "ad5aea06-fb78-41c7-b2ad-716b685e32db", "origin": "https://mediaplus-demo.web.app", "os": "Mac OS / 10.15.7 ↑", "device": "PC", "totalStartTime": 2.4, "rebufferingTime": 0.195, "playingTime": 244.624, "isError": false, "sessionLog": [ { "logDate": "2025-10-10 09:49:46", "videoTime": "00:00:00", "actionType": "player_start", "actionDuration": 5, "uuid": "ad5aea06-****-****-****-716b685e32db" }, { "logDate": "2025-10-10 09:49:46", "videoTime": "00:00:00", "actionType": "startup", "actionDuration": 352, "uuid": "ad5aea06-****-****-****-716b685e32db" }, { "logDate": "2025-10-10 09:50:16", "videoTime": "00:00:30", "actionType": "playing", "actionDuration": 30057, "uuid": "ad5aea06-****-****-****-716b685e32db" }, ... { "logDate": "2025-10-10 09:54:23", "videoTime": "00:00:00", "actionType": "startup", "actionDuration": 239, "uuid": "ad5aea06-****-****-****-716b685e32db" }, { "logDate": "2025-10-10 09:54:38", "videoTime": "00:00:15", "actionType": "playing", "actionDuration": 14978, "uuid": "ad5aea06-****-****-****-716b685e32db" }, { "logDate": "2025-10-10 09:54:38", "videoTime": "00:00:15", "actionType": "ended", "actionDuration": 0, "uuid": "ad5aea06-****-****-****-716b685e32db" } ] } ] } ```